#include <iostream>
#include <vector>

int main()
{
    int n;
    std::cin >> n;
    std::vector<int> a(n);
    std::vector<int> b(n);
    for (int i = 1, ai = 0, bi = 0; i <= n; i++) {
        if (i % 2 == 0) {
            a[ai++] = i;
            a[ai++] = 2 * n - i + 1;
        }
        else {
            b[bi++] = i;
            b[bi++] = 2 * n - i + 1;
        }
    }
    std::string out;
    for (int i = 0; i < n; i++) {
        std::cout << a[i] << " ";
    }
    std::cout << "\n";
    for (int i = 0; i < n; i++) {
        std::cout << b[i] << " ";
    }
}